#include "my_module.h"

/***********************************************************************************************************************
 *
 *                                                   D E F I N E S
 *
 **********************************************************************************************************************/

#define MY_MACRO 1

/***********************************************************************************************************************
 *
 *                                                  T Y P E D E F S
 *
 **********************************************************************************************************************/

typedef int my_int_t;

/***********************************************************************************************************************
 *
 *                             P R I V A T E   F U N C T I O N   D E C L A R A T I O N S
 *
 **********************************************************************************************************************/

/***********************************************************************************************************************
 *
 *                                  P R I V A T E   D A T A   D E F I N I T I O N S
 *
 **********************************************************************************************************************/

static const int my_module__my_global_variable;

typedef void (*my_function_pointer_type_f)(void);

/***********************************************************************************************************************
 *
 *                                         P R I V A T E   F U N C T I O N S
 *
 **********************************************************************************************************************/

/***********************************************************************************************************************
 *
 *                                          P U B L I C   F U N C T I O N S
 *
 **********************************************************************************************************************/

void my_module__my_function_name(void) {
  my_int_t my_local_variable;
  my_int_t MY_EXEMPTED_LOCAL_VARIABLE;  // general_rule_1 violation is exempted in ignorefile
}

int main(void) {
  my_module__my_function_name();

  return 0;
}
